# WOK
TKWOK
WOKernel

# WOKernel_HSequenceOfDBMSID Class Reference

`#include <WOKernel_HSequenceOfDBMSID.hxx>`

## Public Member Functions

| WOKernel_HSequenceOfDBMSID ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const WOKernel_DBMSID &anItem)
Standard_EXPORT void | Append (const Handle(WOKernel_HSequenceOfDBMSID)&aSequence)
Standard_EXPORT void | Prepend (const WOKernel_DBMSID &anItem)
Standard_EXPORT void | Prepend (const Handle(WOKernel_HSequenceOfDBMSID)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const WOKernel_DBMSID &anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(WOKernel_HSequenceOfDBMSID)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const WOKernel_DBMSID &anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(WOKernel_HSequenceOfDBMSID)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_WOKernel_HSequenceOfDBMSID | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const WOKernel_DBMSID &anItem)
Standard_EXPORT const WOKernel_DBMSID & | Value (const Standard_Integer anIndex) const
Standard_EXPORT WOKernel_DBMSID & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const WOKernel_SequenceOfDBMSID & | Sequence () const
WOKernel_SequenceOfDBMSID & | ChangeSequence ()
Standard_EXPORT Handle_WOKernel_HSequenceOfDBMSID | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

WOKernel_SequenceOfDBMSID | mySequence

## Constructor & Destructor Documentation

WOKernel_HSequenceOfDBMSID::WOKernel_HSequenceOfDBMSID | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void WOKernel_HSequenceOfDBMSID::Append | ( | const Handle(WOKernel_HSequenceOfDBMSID)& | aSequence | ) |

Standard_EXPORT void WOKernel_HSequenceOfDBMSID::Append | ( | const WOKernel_DBMSID & | anItem | ) |

WOKernel_SequenceOfDBMSID& WOKernel_HSequenceOfDBMSID::ChangeSequence | ( |  | ) |

Standard_EXPORT WOKernel_DBMSID& WOKernel_HSequenceOfDBMSID::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKernel_HSequenceOfDBMSID::Clear | ( |  | ) |

Standard_EXPORT void WOKernel_HSequenceOfDBMSID::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const WOKernel_HSequenceOfDBMSID::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void WOKernel_HSequenceOfDBMSID::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKernel_HSequenceOfDBMSID)& | aSequence
| ) |

Standard_EXPORT void WOKernel_HSequenceOfDBMSID::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const WOKernel_DBMSID & | anItem
| ) |

Standard_EXPORT void WOKernel_HSequenceOfDBMSID::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKernel_HSequenceOfDBMSID)& | aSequence
| ) |

Standard_EXPORT void WOKernel_HSequenceOfDBMSID::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const WOKernel_DBMSID & | anItem
| ) |

Standard_Boolean WOKernel_HSequenceOfDBMSID::IsEmpty | ( |  | ) | const

Standard_Integer WOKernel_HSequenceOfDBMSID::Length | ( |  | ) | const

Standard_EXPORT void WOKernel_HSequenceOfDBMSID::Prepend | ( | const Handle(WOKernel_HSequenceOfDBMSID)& | aSequence | ) |

Standard_EXPORT void WOKernel_HSequenceOfDBMSID::Prepend | ( | const WOKernel_DBMSID & | anItem | ) |

Standard_EXPORT void WOKernel_HSequenceOfDBMSID::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void WOKernel_HSequenceOfDBMSID::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKernel_HSequenceOfDBMSID::Reverse | ( |  | ) |

const WOKernel_SequenceOfDBMSID& WOKernel_HSequenceOfDBMSID::Sequence | ( |  | ) | const

Standard_EXPORT void WOKernel_HSequenceOfDBMSID::SetValue | ( | const Standard_Integer | anIndex,
|  | const WOKernel_DBMSID & | anItem
| ) |

Standard_EXPORT Handle_WOKernel_HSequenceOfDBMSID WOKernel_HSequenceOfDBMSID::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_WOKernel_HSequenceOfDBMSID WOKernel_HSequenceOfDBMSID::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const WOKernel_DBMSID& WOKernel_HSequenceOfDBMSID::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

WOKernel_SequenceOfDBMSID WOKernel_HSequenceOfDBMSID::mySequence `[private]`

The documentation for this class was generated from the following file:

- WOKernel_HSequenceOfDBMSID.hxx